Bug 15700 - Closing a graphics window while locator() is waiting for input will cause Rgui to crash
Summary: Closing a graphics window while locator() is waiting for input will cause Rgu...
Status: CLOSED FIXED
Alias: None
Product: R
Classification: Unclassified
Component: Graphics (show other bugs)
Version: R 3.0.2
Hardware: x86_64/x64/amd64 (64-bit) Windows 64-bit
: P5 minor
Assignee: R-core
URL:
Depends on:
Blocks:
 
Reported: 2014-03-04 14:18 UTC by Nick Ray
Modified: 2016-04-08 17:02 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Ray 2014-03-04 14:18:47 UTC
If you close a window while locator() is waiting for input then Rgui will crash.

For example:

dev.new()
plot(1:10)
locator(4)

Now close the graphics window by clicking on [X] and R will crash.
(Sounds very similar to bug 14872 but this is on Windows rather than Linux.)


> sessionInfo()
R version 3.0.2 (2013-09-25)
Platform: x86_64-w64-mingw32/x64 (64-bit)

locale:
[1] LC_COLLATE=English_United Kingdom.1252 
[2] LC_CTYPE=English_United Kingdom.1252   
[3] LC_MONETARY=English_United Kingdom.1252
[4] LC_NUMERIC=C                           
[5] LC_TIME=English_United Kingdom.1252    

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base
Comment 1 Duncan Murdoch 2016-04-08 17:02:20 UTC
This should be fixed in R-3.3.0 and later; will commit after some testing.  Turns out the fix for bug 14872 introduced a Windows-specific bug.